diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py
index c1b8206b..00046a02 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_tables_properties_sql.py
@@ -10,66 +10,76 @@
 import os
 import sys
 
-from regression.python_test_utils.template_helper import file_as_template
-from regression.python_test_utils.sql_template_test_base import \
-    SQLTemplateTestBase
+import pytest
+from grappa import should
 
+from regression.python_test_utils import test_utils
+from regression.python_test_utils.template_helper import file_as_template
 
 if sys.version_info[0] >= 3:
     long = int
 
 
-class TestTablesPropertiesSql(SQLTemplateTestBase):
-    scenarios = [
-        ("This scenario tests that all applicable sql template versions can "
-         "fetch some ddl", dict())
-    ]
+@pytest.mark.database
+class TestTablesPropertiesSql:
+    def test_table_properties_sql(self, context_of_tests):
+        """
+        When all parameters are present
+        It correctly generates the SQL
+        And executes against the database
+        """
+        server = context_of_tests['server']
+        with test_utils.Database(server) as (connection, database_name):
+            test_utils.create_table(server, database_name, 'test_table')
 
-    def __init__(self):
-        super(TestTablesPropertiesSql, self).__init__()
-        self.database_id = -1
-        self.last_system_oid = -1
-        self.table_id = -1
+            if connection.server_version < 90100:
+                versions_to_test = ['default']
+            else:
+                versions_to_test = ['9.1_plus']
 
-    def assertions(self, fetch_result, descriptions):
+            cursor = connection.cursor()
+            cursor.execute(u"""
+                SELECT
+                    db.oid as did, datlastsysoid
+                FROM
+                    pg_database db
+                WHERE db.datname = '{0}'""".format(database_name)
+                           )
+            database_id, last_system_oid = cursor.fetchone()
 
-        first_row = {}
-        for index, description in enumerate(descriptions):
-            first_row[description.name] = fetch_result[0][index]
+            cursor.execute(
+                'SELECT oid FROM pg_class where relname=\'test_table\'')
+            table_id = cursor.fetchone()[0]
 
-        self.assertEqual('test_table', first_row['name'])
-        # triggercount is sometimes returned as a string for some reason
-        self.assertEqual(0, long(first_row['triggercount']))
-        self.assertEqual(None, first_row['typname'])
-        self.assertEqual([], first_row['coll_inherits'])
+            for version in versions_to_test:
+                template_file = \
+                    self.get_template_file(version, 'properties.sql')
+                template = file_as_template(template_file)
+                public_schema_id = 2200
+                sql = template.render(scid=public_schema_id,
+                                      did=database_id,
+                                      datlastsysoid=last_system_oid,
+                                      tid=table_id
+                                      )
 
-    def generate_sql(self, version):
-        template_file = self.get_template_file(version, "properties.sql")
-        template = file_as_template(template_file)
-        public_schema_id = 2200
-        sql = template.render(scid=public_schema_id,
-                              did=self.database_id,
-                              datlastsysoid=self.last_system_oid,
-                              tid=self.table_id
-                              )
-        return sql
+                cursor = connection.cursor()
+                cursor.execute(sql)
+                fetch_result = cursor.fetchall()
 
-    def test_setup(self, connection, cursor):
-        cursor.execute(u"""
-            SELECT
-                db.oid as did, datlastsysoid
-            FROM
-                pg_database db
-            WHERE db.datname = '{0}'""".format(self.database_name)
-                       )
-        self.database_id, self.last_system_oid = cursor.fetchone()
+                first_row = {}
+                for index, description in enumerate(cursor.description):
+                    first_row[description.name] = fetch_result[0][index]
 
-        cursor.execute("SELECT oid FROM pg_class where relname='test_table'")
-        self.table_id = cursor.fetchone()[0]
+                first_row['name'] | should.be.equal.to('test_table')
+                # triggercount is sometimes returned as a
+                # string for some reason
+                long(first_row['triggercount']) | should.be.equal.to(0)
+                first_row['typname'] | should.be.none
+                first_row['coll_inherits'] | should.be.empty
 
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "table", "sql",
+            os.path.dirname(__file__), '..', 'templates', 'table', 'sql',
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_template_create.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_template_create.py
index 71f144d7..f8c178dd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_template_create.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_template_create.py
@@ -11,97 +11,104 @@ import os
 import re
 
 from flask import Flask, render_template
+from grappa import should
 from jinja2 import FileSystemLoader, ChoiceLoader
 
 from config import PG_DEFAULT_DRIVER
 from pgadmin import VersionedTemplateLoader
 from pgadmin.utils.driver import get_driver
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class TestTemplateCreate(BaseTestGenerator):
-    scenarios = [
-        (
-            'When rendering GreenPlum 5.3 template, '
-            'when no distribution is present, '
-            'when no primary key is present, '
-            'it returns "DISTRIBUTED RANDOMLY"',
-            dict(
-                template_path='table/sql/gpdb_5.0_plus/create.sql',
-                input_parameters=dict(
-                    data=dict()
-                ),
-                expected_in_return_value='DISTRIBUTED RANDOMLY',
-                expected_not_in_return_value='DISTRIBUTED BY '
+
+
+class TestTemplateCreate:
+    def test_template_create(self):
+        """
+        When rendering GreenPlum 5.3 template
+        when no distribution is present
+        when no primary key is present
+        it returns "DISTRIBUTED RANDOMLY"
+        """
+
+        self.loader = VersionedTemplateLoader(FakeApp())
+
+        with FakeApp().app_context():
+            result = render_template(
+                'table/sql/gpdb_5.0_plus/create.sql',
+                data=dict()
+            )
+            result_beautified = re.sub(
+                ' +', ' ', str(result).replace("\n", " ").strip())
+
+            result_beautified | should.contain('DISTRIBUTED RANDOMLY')
+            result_beautified | should.to_not.contain(
+                'DISTRIBUTED BY '
             )
-        ),
-        (
-            'When rendering GreenPlum 5.3 template, '
-            'when no distribution is present, '
-            'when primary key is present, '
-            'it returns "DISTRIBUTED BY (attr_primary_key)"',
-            dict(
-                template_path='table/sql/gpdb_5.0_plus/create.sql',
-                input_parameters=dict(
-                    data=dict(
-                        primary_key=[
-                            dict(
-                                columns=[dict(
-                                    column='attr_primary_key_column_1'
-                                ), dict(
-                                    column='attr_primary_key_column_2'
-                                )]
-                            )
-                        ]
-                    )
-                ),
-                expected_in_return_value='DISTRIBUTED BY '
-                                         '(attr_primary_key_column_1, '
-                                         'attr_primary_key_column_2)',
-                expected_not_in_return_value='DISTRIBUTED RANDOMLY'
+
+    def test_template_create_primary_key(self):
+        """
+        When rendering GreenPlum 5.3 template
+        when no distribution is present
+        when primary key is present
+        it returns "DISTRIBUTED BY (attr_primary_key)"
+        """
+
+        self.loader = VersionedTemplateLoader(FakeApp())
+
+        with FakeApp().app_context():
+            result = render_template(
+                'table/sql/gpdb_5.0_plus/create.sql',
+                data=dict(
+                    primary_key=[
+                        dict(
+                            columns=[dict(
+                                column='attr_primary_key_column_1'
+                            ), dict(
+                                column='attr_primary_key_column_2'
+                            )]
+                        )
+                    ]
+                )
             )
-        ),
-        (
-            'When rendering GreenPlum 5.3 template, '
-            'when distribution is present, '
-            'it returns "DISTRIBUTED BY (attr1, attr2, attr4)"',
-            dict(
-                template_path='table/sql/gpdb_5.0_plus/create.sql',
-                input_parameters=dict(
-                    data=dict(
-                        distribution=[1, 2, 4],
-                        columns=[
-                            {'name': 'attr1'},
-                            {'name': 'attr2'},
-                            {'name': 'attr3'},
-                            {'name': 'attr4'},
-                            {'name': 'attr5'},
-                        ]
-                    )
-                ),
-                expected_in_return_value='DISTRIBUTED BY '
-                                         '(attr1, attr2, attr4)',
-                expected_not_in_return_value='DISTRIBUTED RANDOMLY'
+            result_beautified = re.sub(
+                ' +', ' ', str(result).replace("\n", " ").strip())
+
+            result_beautified | should.contain('DISTRIBUTED BY '
+                                               '(attr_primary_key_column_1, '
+                                               'attr_primary_key_column_2)')
+            result_beautified | should.to_not.contain(
+                'DISTRIBUTED RANDOMLY'
             )
-        ),
-    ]
 
-    def setUp(self):
+    def test_template_create_distribution(self):
+        """
+        When rendering GreenPlum 5.3 template
+        when distribution is present
+        it returns "DISTRIBUTED BY (attr1, attr2, attr4)"
+        """
+
         self.loader = VersionedTemplateLoader(FakeApp())
 
-    def runTest(self):
         with FakeApp().app_context():
             result = render_template(
-                self.template_path, **self.input_parameters)
+                'table/sql/gpdb_5.0_plus/create.sql',
+                data=dict(
+                    distribution=[1, 2, 4],
+                    columns=[
+                        {'name': 'attr1'},
+                        {'name': 'attr2'},
+                        {'name': 'attr3'},
+                        {'name': 'attr4'},
+                        {'name': 'attr5'},
+                    ]
+                )
+            )
             result_beautified = re.sub(
                 ' +', ' ', str(result).replace("\n", " ").strip())
-            if hasattr(self, 'expected_return_value'):
-                self.assertEqual(result_beautified, self.expected_return_value)
-            if hasattr(self, 'expected_in_return_value'):
-                self.assertIn(self.expected_in_return_value, result_beautified)
-            if hasattr(self, 'expected_not_in_return_value'):
-                self.assertNotIn(
-                    self.expected_not_in_return_value, result_beautified)
+
+            result_beautified | should.contain('DISTRIBUTED BY '
+                                               '(attr1, attr2, attr4)')
+            result_beautified | should.to_not.contain(
+                'DISTRIBUTED RANDOMLY'
+            )
 
 
 class FakeApp(Flask):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py
index 839d9dff..85d6b38c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_get_oid_sql.py
@@ -10,47 +10,58 @@
 import os
 
 import jinja2
-from regression.python_test_utils.sql_template_test_base import \
-    SQLTemplateTestBase
+import pytest
+from grappa import should
+
+from regression.python_test_utils import test_utils
 from regression.python_test_utils.template_helper import file_as_template
 
 
-class TestTriggerGetOidSql(SQLTemplateTestBase):
-    scenarios = [
-        ('Test Trigger to retrieve OID SQL file', dict())
-    ]
+@pytest.mark.database
+class TestTriggerGetOidSql:
+    def test_column_acl_sql(self, context_of_tests):
+        """
+        When all parameters are present
+        It correctly generates the SQL
+        And executes against the database
+        """
+        server = context_of_tests['server']
+        with test_utils.Database(server) as (connection, database_name):
+            test_utils.create_table(server, database_name, 'test_table')
 
-    def __init__(self):
-        super(TestTriggerGetOidSql, self).__init__()
-        self.table_id = -1
-        self.column_id = -1
+            if connection.server_version < 90100:
+                versions_to_test = ['default']
+            else:
+                versions_to_test = ['9.1_plus']
 
-    def test_setup(self, connection, cursor):
-        cursor.execute("SELECT pg_class.oid AS table_id, "
-                       "pg_attribute.attnum AS column_id "
-                       "FROM pg_class JOIN pg_attribute ON "
-                       "attrelid=pg_class.oid "
-                       "WHERE pg_class.relname='test_table'"
-                       " AND pg_attribute.attname = 'some_column'")
-        self.table_id, self.column_id = cursor.fetchone()
+            cursor = connection.cursor()
+            cursor.execute("SELECT pg_class.oid AS table_id, "
+                           "pg_attribute.attnum AS column_id "
+                           "FROM pg_class JOIN pg_attribute ON "
+                           "attrelid=pg_class.oid "
+                           "WHERE pg_class.relname='test_table'"
+                           " AND pg_attribute.attname = 'some_column'")
+            table_id, column_id = cursor.fetchone()
 
-    def generate_sql(self, version):
-        template_file = self.get_template_file(version, "get_oid.sql")
-        jinja2.filters.FILTERS['qtLiteral'] = lambda value: "NULL"
-        template = file_as_template(template_file)
+            for version in versions_to_test:
+                template_file = self.get_template_file(version, 'get_oid.sql')
+                jinja2.filters.FILTERS['qtLiteral'] = lambda value: 'NULL'
+                template = file_as_template(template_file)
 
-        sql = template.render(data={'name': None},
-                              tid=self.table_id
-                              )
+                sql = template.render(
+                    data={'name': None},
+                    tid=table_id
+                )
 
-        return sql
+                cursor = connection.cursor()
+                cursor.execute(sql)
+                fetch_result = cursor.fetchall()
 
-    def assertions(self, fetch_result, descriptions):
-        self.assertEqual(0, len(fetch_result))
+                fetch_result | should.be.empty
 
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "trigger", "sql",
+            os.path.dirname(__file__), '..', 'templates', 'trigger', 'sql',
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py
index c3553912..cef1d377 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_trigger_nodes_sql.py
@@ -9,39 +9,50 @@
 
 import os
 
-from regression.python_test_utils.sql_template_test_base import \
-    SQLTemplateTestBase
-from regression.python_test_utils.template_helper import file_as_template
-
-
-class TestTriggerNodesSql(SQLTemplateTestBase):
-    scenarios = [
-        ('Test Trigger Nodes SQL file', dict())
-    ]
+import pytest
+from grappa import should
 
-    def __init__(self):
-        super(TestTriggerNodesSql, self).__init__()
-        self.table_id = -1
-
-    def test_setup(self, connection, cursor):
-        cursor.execute("SELECT pg_class.oid AS table_id "
-                       "FROM pg_class "
-                       "WHERE pg_class.relname='test_table'")
-        self.table_id = cursor.fetchone()[0]
-
-    def generate_sql(self, version):
-        template_file = self.get_template_file(version, "nodes.sql")
-        template = file_as_template(template_file)
-        sql = template.render(tid=self.table_id)
+from regression.python_test_utils import test_utils
+from regression.python_test_utils.template_helper import file_as_template
 
-        return sql
 
-    def assertions(self, fetch_result, descriptions):
-        self.assertEqual(0, len(fetch_result))
+@pytest.mark.database
+class TestTriggerNodesSql:
+    def test_trigger_nodes_sql(self, context_of_tests):
+        """
+        When all parameters are present
+        It correctly generates the SQL
+        And executes against the database
+        """
+        server = context_of_tests['server']
+        with test_utils.Database(server) as (connection, database_name):
+            test_utils.create_table(server, database_name, 'test_table')
+
+            if connection.server_version < 90100:
+                versions_to_test = ['default']
+            else:
+                versions_to_test = ['9.1_plus']
+
+            cursor = connection.cursor()
+            cursor.execute("SELECT pg_class.oid AS table_id "
+                           "FROM pg_class "
+                           "WHERE pg_class.relname='test_table'")
+            table_id = cursor.fetchone()[0]
+
+            for version in versions_to_test:
+                template_file = self.get_template_file(version, 'nodes.sql')
+                template = file_as_template(template_file)
+                sql = template.render(tid=table_id)
+
+                cursor = connection.cursor()
+                cursor.execute(sql)
+                fetch_result = cursor.fetchall()
+
+                fetch_result | should.be.empty
 
     @staticmethod
     def get_template_file(version, filename):
         return os.path.join(
-            os.path.dirname(__file__), "..", "templates", "trigger", "sql",
+            os.path.dirname(__file__), '..', 'templates', 'trigger', 'sql',
             version, filename
         )
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_utils.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_utils.py
index a4dd5b69..c10a2602 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_utils.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/test_utils.py
@@ -7,66 +7,63 @@
 #
 ##########################################################################
 import sys
+
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.tables import \
     BaseTableView
-from pgadmin.utils.route import BaseTestGenerator
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 
 if sys.version_info < (3, 3):
-    from mock import patch, MagicMock
+    from mock import MagicMock, patch
 else:
-    from unittest.mock import patch, MagicMock
+    from unittest.mock import MagicMock, patch
 
 
-class TestBaseView(BaseTableView):
+class BaseView(BaseTableView):
     @BaseTableView.check_precondition
     def test(self, did, sid):
         pass
 
 
 class TestUtils(BaseTestGenerator):
-    scenarios = [
-        ('Test wrapping function', dict(test='wrap'))
-    ]
+    @patch('pgadmin.browser.server_groups.servers'
+           '.databases.schemas.tables.utils'
+           '.get_driver')
+    def test_wrapping_function(self, get_driver_mock):
+        """
+        It returns stubbed values for tests
+        """
+
+        subject = BaseView(cmd='something')
+        get_driver_mock.return_value = MagicMock(
+            connection_manager=MagicMock(
+                return_value=MagicMock(
+                    connection=MagicMock(),
+                    db_info={
+                        1: dict(datlastsysoid=False)
+                    },
+                    version=10,
+                    server_type='gpdb'
+                )
+            ),
+            qtIndent=MagicMock(),
+            qtTypeIdent=MagicMock()
+        )
 
-    def runTest(self):
-        if self.test == 'wrap':
-            self.__wrap_tests()
+        subject.test(did=1, sid=2)
 
-    def __wrap_tests(self):
-        subject = TestBaseView(cmd='something')
-        with patch('pgadmin.browser.server_groups.servers.databases.schemas'
-                   '.tables.utils.get_driver') as get_driver_mock:
-            get_driver_mock.return_value = MagicMock(
-                connection_manager=MagicMock(
-                    return_value=MagicMock(
-                        connection=MagicMock(),
-                        db_info={
-                            1: dict(datlastsysoid=False)
-                        },
-                        version=10,
-                        server_type='gpdb'
-                    )
-                ),
-                qtIndent=MagicMock(),
-                qtTypeIdent=MagicMock()
-            )
-            subject.test(did=1, sid=2)
-            self.assertEqual(
-                subject.table_template_path, 'table/sql/#gpdb#10#')
-            self.assertEqual(
-                subject.data_type_template_path, 'datatype/sql/#gpdb#10#')
-            self.assertEqual(
-                subject.check_constraint_template_path,
-                'check_constraint/sql/#gpdb#10#')
-            self.assertEqual(
-                subject.exclusion_constraint_template_path,
-                'exclusion_constraint/sql/#gpdb#10#')
-            self.assertEqual(
-                subject.foreign_key_template_path,
-                'foreign_key/sql/#gpdb#10#')
-            self.assertEqual(
-                subject.index_template_path,
-                'index/sql/#gpdb#10#')
-            self.assertEqual(
-                subject.trigger_template_path,
-                'trigger/sql/#gpdb#10#')
+        subject.table_template_path | \
+            should.equal('table/sql/#gpdb#10#')
+        subject.data_type_template_path | \
+            should.equal('datatype/sql/#gpdb#10#')
+        subject.check_constraint_template_path | \
+            should.equal('check_constraint/sql/#gpdb#10#')
+        subject.exclusion_constraint_template_path | \
+            should.equal('exclusion_constraint/sql/#gpdb#10#')
+        subject.foreign_key_template_path | \
+            should.equal('foreign_key/sql/#gpdb#10#')
+        subject.index_template_path | \
+            should.equal('index/sql/#gpdb#10#')
+        subject.trigger_template_path | \
+            should.equal('trigger/sql/#gpdb#10#')
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/__init__.py
index 5f074163..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class TriggersTestGenerator(BaseTestGenerator):
-
-    def runTest(self):
-        return []
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py
index 74a92621..cca3bce5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/tests/test_triggers_add.py
@@ -10,72 +10,67 @@
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.schemas.functions.tests \
     import utils as trigger_funcs_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tables.tests \
     import utils as tables_utils
 from pgadmin.browser.server_groups.servers.databases.schemas.tests import \
     utils as schema_utils
-from pgadmin.browser.server_groups.servers.databases.tests import utils as \
-    database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class TriggersAddTestCase(BaseTestGenerator):
-    """This class will add new trigger under table node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        ('Add trigger Node URL', dict(url='/browser/trigger/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestTriggersAdd:
+
+    @pytest.mark.usefixtures('require_database_connection')
+    def test_trigger_add(self, context_of_tests):
+        """
+        When sending post request to add trigger
+        it returns 200 status
+        """
+
+        url = '/browser/trigger/obj/'
+        http_client = context_of_tests['test_client']
+        server = context_of_tests['server']
+        server_data = context_of_tests['server_information']
+
+        db_name = server_data['db_name']
+        server_id = server_data['server_id']
+        db_id = server_data['db_id']
+        schema_id = server_data['schema_id']
+        schema_name = server_data['schema_name']
 
-    def setUp(self):
-        super(TriggersAddTestCase, self).setUp()
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        schema_info = parent_node_dict["schema"][-1]
-        self.server_id = schema_info["server_id"]
-        self.db_id = schema_info["db_id"]
-        db_con = database_utils.connect_database(self, utils.SERVER_GROUP,
-                                                 self.server_id, self.db_id)
-        if not db_con['data']["connected"]:
-            raise Exception("Could not connect to database to add a trigger.")
-        self.schema_id = schema_info["schema_id"]
-        self.schema_name = schema_info["schema_name"]
-        schema_response = schema_utils.verify_schemas(self.server,
-                                                      self.db_name,
-                                                      self.schema_name)
+        schema_response = schema_utils.verify_schemas(server,
+                                                      db_name,
+                                                      schema_name)
         if not schema_response:
             raise Exception("Could not find the schema to add a trigger.")
-        self.table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:8])
-        self.table_id = tables_utils.create_table(self.server, self.db_name,
-                                                  self.schema_name,
-                                                  self.table_name)
-        self.func_name = "trigger_func_add_%s" % str(uuid.uuid4())[1:8]
-        self.function_info = \
-            trigger_funcs_utils.create_trigger_function_with_trigger(
-                self.server, self.db_name, self.schema_name, self.func_name)
+        table_name = "table_trigger_%s" % (str(uuid.uuid4())[1:8])
+        table_id = tables_utils.create_table(server, db_name,
+                                             schema_name,
+                                             table_name)
+        func_name = "trigger_func_add_%s" % str(uuid.uuid4())[1:8]
+        trigger_funcs_utils.create_trigger_function_with_trigger(
+            server, db_name, schema_name, func_name)
 
-    def runTest(self):
-        """This function will trigger under table node."""
         trigger_name = "test_trigger_add_%s" % (str(uuid.uuid4())[1:8])
         data = {"name": trigger_name,
                 "is_row_trigger": True,
                 "fires": "BEFORE",
                 "columns": [],
-                "tfunction": "{0}.{1}".format(self.schema_name,
-                                              self.func_name),
+                "tfunction": "{0}.{1}".format(schema_name,
+                                              func_name),
                 "evnt_insert": True
                 }
-        response = self.tester.post(
-            "{0}{1}/{2}/{3}/{4}/{5}/".format(self.url, utils.SERVER_GROUP,
-                                             self.server_id, self.db_id,
-                                             self.schema_id, self.table_id),
+        response = http_client.post(
+            "{0}{1}/{2}/{3}/{4}/{5}/".format(url, utils.SERVER_GROUP,
+                                             server_id, db_id,
+                                             schema_id, table_id),
             data=json.dumps(data),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
 
-    def tearDown(self):
-        # Disconnect the database
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        response.status_code | should.equal(200)
